<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.308
Name: Dosage and type of preparation
Description: Template: Dosageandtypeofpreparation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000">
   <title>Dosage and type of preparation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]
Item: (Dosageandtypeofpreparation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]
Item: (Dosageandtypeofpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]"
         id="tmp-r-275494-788915-159809-733652">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="string(@classCode)='SBADM'">(Dosageandtypeofpreparation): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Dosageandtypeofpreparation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308'])&gt;=1 ">(Dosageandtypeofpreparation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308'])&lt;=1">(Dosageandtypeofpreparation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="count(hl7:id)&lt;=1">(Dosageandtypeofpreparation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(Dosageandtypeofpreparation): element hl7:doseQuantity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="count(hl7:doseQuantity)&lt;=1">(Dosageandtypeofpreparation): element hl7:doseQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(Dosageandtypeofpreparation): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="count(hl7:consumable)&lt;=1">(Dosageandtypeofpreparation): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:templateId
Item: (Dosageandtypeofpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:templateId"
         id="tmp-r-466386-669113-964194-879543">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dosageandtypeofpreparation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.308'">(Dosageandtypeofpreparation): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.308' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:id
Item: (Dosageandtypeofpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:id"
         id="tmp-r-369967-386418-252990-573789">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dosageandtypeofpreparation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900029
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]
Item: (Dosagepreparation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900029
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:doseQuantity
Item: (Dosagepreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:doseQuantity"
         id="tmp-r-200020-842835-704972-118920">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900029-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dosagepreparation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900029-2012-04-10T000000.html"
              test="$digitok or @nullFlavor">(Dosagepreparation): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900029-2012-04-10T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Dosagepreparation): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900088
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]
Item: (Medicationforpreparation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900088
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]
Item: (Medicationforpreparation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900088
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:consumable
Item: (Medicationforpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:consumable"
         id="tmp-r-632722-528154-360945-748822">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="string(@typeCode)='CSM'">(Medicationforpreparation): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]])&gt;=1 and not(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]]/@nullFlavor)">(Medicationforpreparation): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]])&lt;=1">(Medicationforpreparation): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900088
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]]
Item: (Medicationforpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]]"
         id="tmp-r-549788-980072-845596-288568">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="string(@classCode)='MANU'">(Medicationforpreparation): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']])&gt;=1 and not(hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]/@nullFlavor)">(Medicationforpreparation): element hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']])&lt;=1">(Medicationforpreparation): element hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900088
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]]/hl7:manufacturedMaterial
Item: (Medicationforpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]]/hl7:manufacturedMaterial"
         id="tmp-r-879714-479266-756932-669056">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="string(@classCode)='MMAT'">(Medicationforpreparation): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="string(@determinerCode)='KIND'">(Medicationforpreparation): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH'])&gt;=1 ">(Medicationforpreparation): element hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH'])&lt;=1">(Medicationforpreparation): element hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900088
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]]/hl7:manufacturedMaterial/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']
Item: (Medicationforpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']]]/hl7:manufacturedMaterial/hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.75') or @nullFlavor='OTH']"
         id="tmp-r-970661-256827-546990-231879">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationforpreparation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.75-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.75-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Medicationforpreparation): de waarde van @code MOET worden gekozen uit waardenlijst vs_voorbereiding_coloscopie Voorbereiding coloscopie (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900088-2012-04-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Medicationforpreparation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_voorbereiding_coloscopie Voorbereiding coloscopie (DYNAMISCH).</assert>
   </rule>
</pattern>
