<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.404
Name: Histopathology interpretation
Description: Template: Histopathology interpretation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000">
   <title>Histopathology interpretation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.404
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]
Item: (Histopathologyinterpretation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.404
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]
Item: (Histopathologyinterpretation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]"
         id="tmp-r-900920-592943-926562-814176">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="string(@classCode)='OBS'">(Histopathologyinterpretation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Histopathologyinterpretation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404'])&gt;=1 ">(Histopathologyinterpretation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404'])&lt;=1">(Histopathologyinterpretation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="count(hl7:code[(@code='271920001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='271920001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Histopathologyinterpretation): element hl7:code[(@code='271920001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="count(hl7:code[(@code='271920001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Histopathologyinterpretation): element hl7:code[(@code='271920001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Histopathologyinterpretation): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="count(hl7:value[(@code='110396000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='373379001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='72495009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH'])&gt;=1 ">(Histopathologyinterpretation): element hl7:value[(@code='110396000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='373379001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='72495009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="count(hl7:value[(@code='110396000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='373379001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='72495009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH'])&lt;=1">(Histopathologyinterpretation): element hl7:value[(@code='110396000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='373379001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='72495009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.404
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:templateId
Item: (Histopathologyinterpretation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:templateId"
         id="tmp-r-387210-143006-435510-555077">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Histopathologyinterpretation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.404'">(Histopathologyinterpretation): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.404' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.404
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:code[(@code='271920001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Histopathologyinterpretation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:code[(@code='271920001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-125396-777689-906205-379978">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Histopathologyinterpretation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="@nullFlavor or (@code='271920001' and @codeSystem='2.16.840.1.113883.6.96')">(Histopathologyinterpretation): de elementwaarde MOET zijn code '271920001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900113
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]
Item: (Specificatieoverigebevindingen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]"
         id="tmp-r-243380-375814-540853-876568">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900113-2012-04-10T000000.html"
              test="text()='Specificatie overige bevindingen als tekst'">(Specificatieoverigebevindingen): de element content van hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']] MOET ''Specificatie overige bevindingen als tekst'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900113
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:text
Item: (Specificatieoverigebevindingen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:text"
         id="tmp-r-235627-481173-762709-673865">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900113-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Specificatieoverigebevindingen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.404
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:value[(@code='110396000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='373379001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='72495009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH']
Item: (Histopathologyinterpretation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.404']]/hl7:value[(@code='110396000' and @codeSystem='2.16.840.1.113883.6.96') or (@code='373379001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='72495009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor='OTH']"
         id="tmp-r-977735-692651-640572-960968">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Histopathologyinterpretation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.202-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.202-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Histopathologyinterpretation): de waarde van @code MOET worden gekozen uit waardenlijst vs_pa_bevinding PA bevinding (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Histopathologyinterpretation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_pa_bevinding PA bevinding (DYNAMISCH).</assert>
   </rule>
</pattern>
