<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.406
Name: Histological grade
Description: Template: Differentiatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000">
   <title>Histological grade</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.406
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.406']]
Item: (Histologicalgrade)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.406']]"
         id="tmp-r-226225-444398-622014-945312">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']]/@nullFlavor)">(Histologicalgrade): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']])&lt;=1">(Histologicalgrade): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.406
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']]
Item: (Histologicalgrade)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']]"
         id="tmp-r-445651-191931-934960-435335">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="string(@classCode)='OBS'">(Histologicalgrade): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Histologicalgrade): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406'])&gt;=1 ">(Histologicalgrade): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406'])&lt;=1">(Histologicalgrade): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="count(hl7:code[(@code='373372005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='373372005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Histologicalgrade): element hl7:code[(@code='373372005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="count(hl7:code[(@code='373372005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Histologicalgrade): element hl7:code[(@code='373372005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="count(hl7:value[(@code='1960' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or (@code='1959' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or @nullFlavor='ASKU'])&gt;=1 ">(Histologicalgrade): element hl7:value[(@code='1960' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or (@code='1959' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or @nullFlavor='ASKU'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="count(hl7:value[(@code='1960' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or (@code='1959' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or @nullFlavor='ASKU'])&lt;=1">(Histologicalgrade): element hl7:value[(@code='1960' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or (@code='1959' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or @nullFlavor='ASKU'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.406
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:templateId
Item: (Histologicalgrade)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:templateId"
         id="tmp-r-265044-764917-199745-102436">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Histologicalgrade): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.406'">(Histologicalgrade): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.406' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.406
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:code[(@code='373372005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Histologicalgrade)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:code[(@code='373372005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-832513-319750-233244-538806">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Histologicalgrade): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="@nullFlavor or (@code='373372005' and @codeSystem='2.16.840.1.113883.6.96')">(Histologicalgrade): de elementwaarde MOET zijn code '373372005' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.406
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:value[(@code='1960' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or (@code='1959' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or @nullFlavor='ASKU']
Item: (Histologicalgrade)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.406']]/hl7:value[(@code='1960' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or (@code='1959' and @codeSystem='1.3.6.1.4.1.19376.1.8.5.50') or @nullFlavor='ASKU']"
         id="tmp-r-902655-233419-290455-901900">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Histologicalgrade): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.204-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.204-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Histologicalgrade): de waarde van @code MOET worden gekozen uit waardenlijst vs_neoplasm_histologic_grade_2tier Neoplasm histologic grade (2tier) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Histologicalgrade): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_neoplasm_histologic_grade_2tier Neoplasm histologic grade (2tier) (DYNAMISCH).</assert>
   </rule>
</pattern>
