<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.412
Name: Distance of tumor from margin
Description: Template: Afstand tot snijvlak
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000">
   <title>Distance of tumor from margin</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.412
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.412']]
Item: (Distanceoftumorfrommargin)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.412
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412']]
Item: (Distanceoftumorfrommargin)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412']]"
         id="tmp-r-721643-142853-434064-931507">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="string(@classCode)='OBS'">(Distanceoftumorfrommargin): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="string(@moodCode)='EVN'">(Distanceoftumorfrommargin): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412'])&gt;=1 ">(Distanceoftumorfrommargin): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412'])&lt;=1">(Distanceoftumorfrommargin): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="count(hl7:code[(@code='384822004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='384822004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Distanceoftumorfrommargin): element hl7:code[(@code='384822004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="count(hl7:code[(@code='384822004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Distanceoftumorfrommargin): element hl7:code[(@code='384822004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79')])&gt;=1 ">(Distanceoftumorfrommargin): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79')])&lt;=1">(Distanceoftumorfrommargin): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.412
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:templateId
Item: (Distanceoftumorfrommargin)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:templateId"
         id="tmp-r-346258-398231-259159-586086">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Distanceoftumorfrommargin): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.412'">(Distanceoftumorfrommargin): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.412' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.412
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:code[(@code='384822004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Distanceoftumorfrommargin)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:code[(@code='384822004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-646814-115108-439697-980891">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Distanceoftumorfrommargin): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="@nullFlavor or (@code='384822004' and @codeSystem='2.16.840.1.113883.6.96')">(Distanceoftumorfrommargin): de elementwaarde MOET zijn code '384822004' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.412
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79')]
Item: (Distanceoftumorfrommargin)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.412']]/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='7' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='8' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='9' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.79')]"
         id="tmp-r-239725-630831-532555-899309">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Distanceoftumorfrommargin): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.219-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.219-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Distanceoftumorfrommargin): de waarde van @code MOET worden gekozen uit waardenlijst vs_distanceoftumorfrommargincategory Distance of tumor from margin category (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Distanceoftumorfrommargin): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_distanceoftumorfrommargincategory Distance of tumor from margin category (DYNAMISCH).</assert>
   </rule>
</pattern>
