<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.550
Name: Specimen Macroscopic Observation
Description: Template: Specimen Macroscopic Observation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000">
   <title>Specimen Macroscopic Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]"
         id="tmp-r-629743-176241-509779-401667">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']])&gt;=1 and not(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']])&lt;=1">(SpecimenMacroscopicObservation): element hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]"
         id="tmp-r-752647-275761-169261-550850">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@classCode)='ACT'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@moodCode)='EVN'">(SpecimenMacroscopicObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550'])&gt;=1 ">(SpecimenMacroscopicObservation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550'])&lt;=1">(SpecimenMacroscopicObservation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(SpecimenMacroscopicObservation): element hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:statusCode)&lt;=1">(SpecimenMacroscopicObservation): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:specimen)&gt;=1 and not(hl7:specimen/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:specimen is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:specimen)&lt;=1">(SpecimenMacroscopicObservation): element hl7:specimen komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:templateId
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:templateId"
         id="tmp-r-558698-563100-919535-188364">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.550'">(SpecimenMacroscopicObservation): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.550' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:code[(@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-555544-529019-515964-359962">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="@nullFlavor or (@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')">(SpecimenMacroscopicObservation): de elementwaarde MOET zijn code 'X-LAB-SPMSCT' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:statusCode
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:statusCode"
         id="tmp-r-853485-604166-321743-299659">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="@nullFlavor or (@code='completed')">(SpecimenMacroscopicObservation): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen"
         id="tmp-r-148316-633674-903277-875466">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@typeCode)='SPC'">(SpecimenMacroscopicObservation): de waarde van @typeCode MOET 'SPC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]])&gt;=1 and not(hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]])&lt;=1">(SpecimenMacroscopicObservation): element hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-r-888388-661918-534940-727954">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@classCode)='SPEC'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:id)&lt;=1">(SpecimenMacroscopicObservation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(SpecimenMacroscopicObservation): element hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(lab:subjectOf[lab:observationEvent/lab:code/@code='371490004'])&lt;=1">(SpecimenMacroscopicObservation): element lab:subjectOf[lab:observationEvent/lab:code/@code='371490004'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:id
Item: (SpecimenMacroscopicObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:specimenPlayingEntity
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:specimenPlayingEntity"
         id="tmp-r-864576-961133-405314-325097">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@classCode)='ENT'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'ENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@determinerCode)='INSTANCE'">(SpecimenMacroscopicObservation): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(SpecimenMacroscopicObservation): element hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(hl7:quantity)&lt;=1">(SpecimenMacroscopicObservation): element hl7:quantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(lab:asSpecimenInContainer)&lt;=1">(SpecimenMacroscopicObservation): element lab:asSpecimenInContainer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:specimenPlayingEntity/hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:specimenPlayingEntity/hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-903163-232946-423543-752082">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.105-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.105-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SpecimenMacroscopicObservation): de waarde van @code MOET worden gekozen uit waardenlijst vs_monstermateriaal Monster materiaal (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SpecimenMacroscopicObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_monstermateriaal Monster materiaal (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:specimenPlayingEntity/hl7:quantity
Item: (SpecimenMacroscopicObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:specimenPlayingEntity/lab:asSpecimenInContainer
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:specimenPlayingEntity/lab:asSpecimenInContainer"
         id="tmp-r-866643-640498-505699-858345">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@classCode)='CONT'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'CONT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(lab:container)&gt;=1 and not(lab:container/@nullFlavor)">(SpecimenMacroscopicObservation): element lab:container is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(lab:container)&lt;=1">(SpecimenMacroscopicObservation): element lab:container komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:specimenPlayingEntity/lab:asSpecimenInContainer/lab:container
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:specimenPlayingEntity/lab:asSpecimenInContainer/lab:container"
         id="tmp-r-871952-261200-846685-681975">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@classCode)='CONT'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'CONT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@determinerCode)='INSTANCE'">(SpecimenMacroscopicObservation): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(lab:id)&gt;=1 and not(lab:id/@nullFlavor)">(SpecimenMacroscopicObservation): element lab:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(lab:id)&lt;=1">(SpecimenMacroscopicObservation): element lab:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:specimenPlayingEntity/lab:asSpecimenInContainer/lab:container/lab:id
Item: (SpecimenMacroscopicObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:productOf
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:productOf"
         id="tmp-r-163861-447622-298633-522769">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@typeCode)='PRD'">(SpecimenMacroscopicObservation): de waarde van @typeCode MOET 'PRD' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:productOf/lab:specimenCollectionProcess
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:productOf/lab:specimenCollectionProcess"
         id="tmp-r-898555-509549-671201-608199">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@classCode)='SPECCOLLECT'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@moodCode)='EVN'">(SpecimenMacroscopicObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(lab:code)&lt;=1">(SpecimenMacroscopicObservation): element lab:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(lab:effectiveTime)&lt;=1">(SpecimenMacroscopicObservation): element lab:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="count(lab:targetSiteCode)&lt;=1">(SpecimenMacroscopicObservation): element lab:targetSiteCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:productOf/lab:specimenCollectionProcess/lab:code
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:productOf/lab:specimenCollectionProcess/lab:code"
         id="tmp-r-419942-282964-205327-464933">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.13-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.13-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SpecimenMacroscopicObservation): de waarde van @code MOET worden gekozen uit waardenlijst vs_verkrijgingswijze Verkrijgingswijze (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SpecimenMacroscopicObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_verkrijgingswijze Verkrijgingswijze (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:productOf/lab:specimenCollectionProcess/lab:effectiveTime
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:productOf/lab:specimenCollectionProcess/lab:effectiveTime"
         id="tmp-r-708874-420086-368490-618019">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:productOf/lab:specimenCollectionProcess/lab:targetSiteCode
Item: (SpecimenMacroscopicObservation)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:productOf/lab:specimenCollectionProcess/lab:targetSiteCode"
         id="tmp-r-510338-297255-562505-475193">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.23-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.23-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SpecimenMacroscopicObservation): de waarde van @code MOET worden gekozen uit waardenlijst vs_lokalisatie Lokalisatie laesie bij coloscopie (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SpecimenMacroscopicObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_lokalisatie Lokalisatie laesie bij coloscopie (DYNAMISCH).</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.550
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:subjectOf[lab:observationEvent/lab:code/@code='371490004']
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:subjectOf[lab:observationEvent/lab:code/@code='371490004']"
         id="tmp-r-681658-894958-346314-243684">
      <extends rule="tmp-r-313421-969535-916005-336886"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.550-2012-07-10T000000.html"
              test="string(@typeCode)='SBJ'">(SpecimenMacroscopicObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900120
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (Distanceoftumorfromanalverge)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900120
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:subjectOf[lab:observationEvent/lab:code/@code='371490004']
Item: (Distanceoftumorfromanalverge)
-->
<rule id="tmp-r-313421-969535-916005-336886" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="count(lab:observationEvent)&gt;=1 and not(lab:observationEvent/@nullFlavor)">(Distanceoftumorfromanalverge): element lab:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="count(lab:observationEvent)&lt;=1">(Distanceoftumorfromanalverge): element lab:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900120
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:subjectOf[lab:observationEvent/lab:code/@code='371490004']/lab:observationEvent
Item: (Distanceoftumorfromanalverge)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:subjectOf[lab:observationEvent/lab:code/@code='371490004']/lab:observationEvent"
         id="tmp-r-691585-420369-509464-767297">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="string(@classCode)='SPCOBS'">(Distanceoftumorfromanalverge): de waarde van @classCode MOET 'SPCOBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="string(@moodCode)='EVN'">(Distanceoftumorfromanalverge): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="count(lab:code[(@code='371490004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(lab:code[(@code='371490004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Distanceoftumorfromanalverge): element lab:code[(@code='371490004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="count(lab:code[(@code='371490004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Distanceoftumorfromanalverge): element lab:code[(@code='371490004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="count(lab:value)&gt;=1 ">(Distanceoftumorfromanalverge): element lab:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="count(lab:value)&lt;=1">(Distanceoftumorfromanalverge): element lab:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900120
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:subjectOf[lab:observationEvent/lab:code/@code='371490004']/lab:observationEvent/lab:code[(@code='371490004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Distanceoftumorfromanalverge)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:subjectOf[lab:observationEvent/lab:code/@code='371490004']/lab:observationEvent/lab:code[(@code='371490004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-985460-462503-373498-711551">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Distanceoftumorfromanalverge): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="@nullFlavor or (@code='371490004' and @codeSystem='2.16.840.1.113883.6.96')">(Distanceoftumorfromanalverge): de elementwaarde MOET zijn code '371490004' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.900120
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:subjectOf[lab:observationEvent/lab:code/@code='371490004']/lab:observationEvent/lab:value
Item: (Distanceoftumorfromanalverge)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]/hl7:specimen/hl7:specimenRole[hl7:specimenPlayingEntity[hl7:code[(@code='309226005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='258415003' and @codeSystem='2.16.840.1.113883.6.96')]]]/lab:subjectOf[lab:observationEvent/lab:code/@code='371490004']/lab:observationEvent/lab:value"
         id="tmp-r-488640-839352-875559-264351">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Distanceoftumorfromanalverge): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="(@nullFlavor or (@unit='cm' and number($theValue)&gt;=1 and number($theValue)&lt;=200))">(Distanceoftumorfromanalverge): value MOET eenheid 'cm' gebruiken en in bereik [1..200] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="$digitok or @nullFlavor">(Distanceoftumorfromanalverge): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130812T114806/tmp-2.16.840.1.113883.2.4.3.36.10.900120-2013-07-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Distanceoftumorfromanalverge): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
